LaTeX bundle can't find pdf viewer

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

LaTeX bundle can't find pdf viewer

Robert Milton
Hi all,
after a few months not using TextMate, I have returned to it, updated the version, and upon running LaTex cmd-R, consistently get the error message

/bin/sh: /Users/robertmilton/Library/Application Support/TextMate/Managed/Bundles/Bundle Support.tmbundle/Support/shared/bin/find_app: Bad CPU type in executable Preview does not appear to be installed on your system.

This is indepependent of the pdf viewer (I prefer to use skim, but get the same error). Any idea what is wrong, and how I can fix it?

Thanks
Robert


_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate
Reply | Threaded
Open this post in threaded view
|

Re: LaTeX bundle can't find pdf viewer

Allan Odgaard-4

On 27 Dec 2019, at 2:30, Robert Milton wrote:

This is indepependent of the pdf viewer (I prefer to use skim, but get the same error). Any idea what is wrong, and how I can fix it?

What version of macOS?

It may be that you are on Catalina which only support 64 bit executables, and you have an old version of the Bundle Support bundle.

In TextMate → Preferences → Bundles you can find the “Bundle Support” bundle, last update was “14 Feb 2019”. Does yours show the same?

If not, have you “Check for and install updates automatically” enabled in the bottom of that window?

You can force the managed bundles to be re-installed by quitting TextMate and then running this in a terminal:

rm -rf ~/Library/Application\ Support/TextMate/Managed

Be aware that only default (managed) bundles gets re-installed.



_______________________________________________
TextMate mailing list
[hidden email]
https://lists.macromates.com/listinfo/textmate